Public Class Form1
    Private map0 As BitmapFast
    Private map1 As Bitmap

    Private Stopwatch As System.Diagnostics.Stopwatch
    Private tempo As Integer
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim tps As Integer

        'Test de la class BitmapFast
        Stopwatch = System.Diagnostics.Stopwatch.StartNew()
        map0 = New BitmapFast(Application.StartupPath & "\..\data\heightmap.png")
        For j As Integer = 0 To 255
            For i As Integer = 0 To 255
                tps = map0.Getpixel(i, j).ToArgb
            Next
        Next
        tempo = Stopwatch.ElapsedMilliseconds
        Stopwatch.Reset()
        MsgBox("BitmapFast: " & tempo & " milliseconds")

        'Test de la class Bitmap
        Stopwatch = System.Diagnostics.Stopwatch.StartNew()
        map1 = New Bitmap(Application.StartupPath & "\..\data\heightmap.png")
        For j As Integer = 0 To 255
            For i As Integer = 0 To 255
                tps = map1.GetPixel(i, j).ToArgb
            Next
        Next
        tempo = Stopwatch.ElapsedMilliseconds
        Stopwatch.Reset()
        MsgBox("Bitmap: " & tempo & " milliseconds")
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        PictureBox1.Image = map0.Get_Bitmap
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim Color_S, Color_D As Color
        For j As Integer = 0 To 255
            For i As Integer = 0 To 255
                Color_S = map0.Getpixel(i, j)
                Color_D = Color.FromArgb(255, 255 - Color_S.B, 255 - Color_S.G, 255 - Color_S.R)
                map0.Setpixel(i, j, Color_D)
            Next
        Next
        PictureBox1.Image = map0.Get_Bitmap
    End Sub
End Class
